/*
 * Task 2 - Toggle diode state on button pressed
 */

#include <msp430.h>

int main(void) {
	unsigned char button_state = 0, button_state_prev = 0;
    WDTCTL = WDTPW | WDTHOLD;	// Stop watchdog timer

    /* Initialization */
    P2DIR &= ~BIT4;		// Set P2.4 as input

    P4DIR |= BIT3;		// Set P4.3 as output
    P4OUT &= ~BIT3;     // Init value is 0

    /* loop */
    while (1) {
    	button_state = P2IN & BIT4;
    	if ((button_state == 0x0) && (button_state_prev == BIT4)) {
    		P4OUT ^= BIT3;
    	}
    	button_state_prev = button_state;
    	__delay_cycles(1000);
    }
	
	//return 0;
}
