/*
 * Task 3 - All diodes are active while S1 is pressed
 */
#include <msp430.h>

int main(void) {
    WDTCTL = WDTPW | WDTHOLD;	// Stop watchdog timer
    /* Initialization */
    P4DIR |= BIT3 | BIT4 | BIT5 | BIT6;		// All diodes pins are out pins
    P2DIR &= ~BIT4;			                // Initialize P2.4 (Button pin's) as input
    P4OUT &= ~(BIT3 | BIT4 | BIT5 | BIT6);  // Initialize Diode pins state
    /* Main loop */
    while(1) {
    	// Detect button pin level
    	if ((P2IN & BIT4) == 0x00) {
    	    //If button is pressed turn all diodes on
            P4OUT |= BIT3 | BIT4 | BIT5 | BIT6;
    	} else {
    	    //Otherwise turn all diode off
            P4OUT &= ~(BIT3 | BIT4 | BIT5 | BIT6);
    	}
    }
	//return 0;

}
